Bug 857932 - [abrt] sushi-0.4.1-1.fc17: std::__throw_logic_error: Process /usr/libexec/sushi-start was killed by signal 6 (SIGABRT)
[abrt] sushi-0.4.1-1.fc17: std::__throw_logic_error: Process /usr/libexec/sus...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sushi (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elad Alfassa
Fedora Extras Quality Assurance
abrt_hash:9e41467f29852473bb0d64c81bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 10:21 EDT by Vlad M
Modified: 2013-07-31 20:07 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.59 KB, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: environ (1.02 KB, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: backtrace (75.49 KB, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: maps (54.07 KB, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: dso_list (19.85 KB, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: open_fds (422 bytes, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details
File: var_log_messages (160 bytes, text/plain)
2012-09-17 10:21 EDT, Vlad M
no flags Details

  None (edit)
Description Vlad M 2012-09-17 10:21:28 EDT
Version-Release number of selected component:
sushi-0.4.1-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/libexec/sushi-start
crash_function: std::__throw_logic_error
kernel:         3.5.3-1.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (9 frames)
: #7 std::__throw_logic_error at ../../../../../libstdc++-v3/src/c++11/functexcept.cc
: #8 std::string::_S_construct<char const*> at /usr/src/debug/gcc-4.7.0-20120507/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc
: #9 _S_construct_aux<char const*> at /usr/src/debug/gcc-4.7.0-20120507/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.h
: #10 _S_construct<char const*> at /usr/src/debug/gcc-4.7.0-20120507/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.h
: #11 std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string at /usr/src/debug/gcc-4.7.0-20120507/obj-i686-redhat-linux/i686-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc
: #12 mb_release_filter_title at /usr/src/debug/libmusicbrainz-3.0.3/src/mb_c.cpp
: #13 fetch_uri_job at libsushi/sushi-cover-art.c
: #14 io_job_thread at gioscheduler.c
: #16 g_thread_proxy at gthread.c
Comment 1 Vlad M 2012-09-17 10:21:30 EDT
Created attachment 613671 [details]
File: core_backtrace
Comment 2 Vlad M 2012-09-17 10:21:32 EDT
Created attachment 613672 [details]
File: environ
Comment 3 Vlad M 2012-09-17 10:21:33 EDT
Created attachment 613673 [details]
File: limits
Comment 4 Vlad M 2012-09-17 10:21:35 EDT
Created attachment 613674 [details]
File: backtrace
Comment 5 Vlad M 2012-09-17 10:21:37 EDT
Created attachment 613675 [details]
File: cgroup
Comment 6 Vlad M 2012-09-17 10:21:38 EDT
Created attachment 613676 [details]
File: maps
Comment 7 Vlad M 2012-09-17 10:21:40 EDT
Created attachment 613677 [details]
File: dso_list
Comment 8 Vlad M 2012-09-17 10:21:41 EDT
Created attachment 613678 [details]
File: open_fds
Comment 9 Vlad M 2012-09-17 10:21:43 EDT
Created attachment 613679 [details]
File: var_log_messages
Comment 10 Karim Moussa 2012-09-25 07:42:54 EDT
Clicking an audio file in Nautilus and pressing <Space> to play it does not work anymore, but triggers this error instead.

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Alexander Lipatov 2012-10-02 10:23:01 EDT
just selected ogg file in nautilus and pressed "spacebar" to listen it

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Paolo Leoni 2012-11-01 06:43:05 EDT
1. pressing space to preview audio file
2. crash


backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Yajo 2012-11-11 04:06:21 EST
Previewing an mp3 file.

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 cookies.river 2012-11-17 13:59:12 EST
preview mp3 file.

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 christian.kirbach@googlemail.com 2012-11-27 05:11:59 EST
I was previewing ogg audio files in nautilus

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Yajo 2012-12-09 02:48:53 EST
Preview an mp3 file.

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Juan M Garcia 2012-12-24 19:51:32 EST
I believe this was simply an unfortunate occurence. I had  rhythmbox playing the audio file and hit the space bar to make what I  believe is sushi to play the audio file. At that exact moment the error prompt shows at the bottom of my screen. I tried to reproduce the error but it didn't seem to happen again. The error report probably wasn't needed either... but it's done now.

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 Danil Kolobaev 2012-12-30 15:36:28 EST
I touched nautilus via touchpad and drag the cursor there for some time.

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Paolo Leoni 2012-12-31 04:26:03 EST
1. space key on a file to play audio preview
2. crash


backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 Yogesh Mantri 2013-01-14 05:29:09 EST
Don't remember exactly what caused this problem..

backtrace_rating: 4
Package: sushi-0.4.1-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 Fedora End Of Life 2013-07-03 18:19:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2013-07-31 20:07:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.